package Servidor;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.server.UnicastRemoteObject;

import Common.Registro;
import Common.ServicioAutenticacionInterface;
import Common.ServicioDatosInterface;
import Common.ServicioGestorInterface;
//import Common.*;

public class Servidor {
	private static ServicioDatosInterface servicioDatosImpl;

	public static void main(String[] args) throws Exception {
		System.out.println ("jnldbvchbbjhgbjgvg");
		ServicioAutenticacionImpl servicioAutenticacionImpl = new ServicioAutenticacionImpl ();
		ServicioGestorImpl servicioGestorImpl = new ServicioGestorImpl ();
		ServicioAutenticacionInterface remoteAutenticacion = (ServicioAutenticacionInterface) UnicastRemoteObject.exportObject (servicioAutenticacionImpl, 8888);	
		ServicioGestorInterface remoteGestor = (ServicioGestorInterface) UnicastRemoteObject.exportObject (servicioGestorImpl, 8888);
		Registry registryAutenticacion = LocateRegistry.getRegistry ();
		registryAutenticacion.rebind ("autenticacion", remoteAutenticacion);
		Registry registryGestor = LocateRegistry.getRegistry ();
		registryGestor.rebind ("gestor", remoteGestor);
		System.out.println ("Servicios de autenticacion y gestin preparados, presione enter para terminar");
		System.in.read ();
		registryAutenticacion.unbind ("autenticacion");
		registryGestor.unbind ("gestor");
		UnicastRemoteObject.unexportObject(servicioGestorImpl, true);
		System.out.println ("Servicios de autenticacion y gestin cerrados");
		Registry registryServicioDatos = LocateRegistry.getRegistry ();
		servicioDatosImpl = (ServicioDatosInterface) registryServicioDatos.lookup ("servicioDatos");
	}
	private static boolean leerRegistro (Registro registro) throws RemoteException {
		servicioDatosImpl.confirmarRegistro (registro);
		return false;
	}
}
